## qt6-base 6.9.1+dfsg

=== doc/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#
# Copy/Install doc configuration files to the build/install directory
#
qt_path_join(doc_install_dir ${QT_INSTALL_DIR} ${INSTALL_DOCDIR})
foreach(dir global config)
    qt_copy_or_install(DIRECTORY ${dir} DESTINATION ${doc_install_dir})
    if(QT_SUPERBUILD OR "${PROJECT_NAME}" STREQUAL "QtBase")
        qt_path_join(destination ${QtBase_BINARY_DIR} ${INSTALL_DOCDIR})
        file(COPY ${dir} DESTINATION ${destination})

        if(NOT QT_NO_SET_QTBASE_DOC_FILE_DEPS_COPYING)
            # Make sure touched doc files cause a reconfigure, so they get re-copied.
            # TODO: Consider making this a build time file copy dependency.
            # It is more complicated, because all documentation generation custom targets would have
            # to depend on the file outputs of add_custom_command(copy), and it's not clear how the
            # dependencies should be set up in that case (coarsness, use install vs build dirs,
            # etc).
            file(GLOB_RECURSE files LIST_DIRECTORIES FALSE "${dir}/*")
            set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS ${files})
        endif()
    endif()
endforeach()

=== src/corelib/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_find_package(WrapPCRE2 PROVIDED_TARGETS WrapPCRE2::WrapPCRE2)
qt_internal_extend_sbom(WrapPCRE2::WrapPCRE2
    CPE_VENDOR "pcre"
    CPE_PRODUCT "pcre2"
    DOWNLOAD_LOCATION "https://github.com/PCRE2Project/pcre2"
)
qt_find_package(WrapZLIB PROVIDED_TARGETS WrapZLIB::WrapZLIB)
qt_internal_extend_sbom(WrapZLIB::WrapZLIB
    CPE_VENDOR "zlib"
    CPE_PRODUCT "zlib"
    DOWNLOAD_LOCATION "https://github.com/madler/zlib"
)

if(ANDROID)
    set(corelib_extra_cmake_files
        "${CMAKE_CURRENT_SOURCE_DIR}/${QT_CMAKE_EXPORT_NAMESPACE}AndroidMacros.cmake")
endif()
if(WASM)
    set(corelib_extra_cmake_files
        "${CMAKE_CURRENT_SOURCE_DIR}/${QT_CMAKE_EXPORT_NAMESPACE}WasmMacros.cmake")
endif()

#####################################################################
## Core Module:
#####################################################################

qt_internal_add_module(Core
    QMAKE_MODULE_CONFIG moc resources
    NO_GENERATE_METATYPES # metatypes are extracted manually below
    EXCEPTIONS
    SOURCES
        # Keep these .cpp files in the first and in the order they are so their
        # static initialization order is retained
        global/qsimd.cpp global/qsimd.h global/qsimd_p.h
        tools/qhash.cpp tools/qhash.h

        # Keep the rest alphabetical
        compat/removed_api.cpp
        global/archdetect.cpp
        global/qassert.cpp global/qassert.h
        global/qcompare_impl.h
        global/qcompare.cpp global/qcompare.h
        global/qcomparehelpers.h
        global/qcompilerdetection.h
        global/qconstructormacros.h
        global/qcontainerinfo.h
        global/qdarwinhelpers.h
        global/qendian.cpp global/qendian.h global/qendian_p.h
        global/qexceptionhandling.h
        global/qflags.h
        global/qfloat16.cpp global/qfloat16.h
        global/qforeach.h
        global/qfunctionpointer.h
        global/qglobal.cpp global/qglobal.h global/qglobal_p.h
        global/qglobalstatic.h
        global/qhooks.cpp global/qhooks_p.h
        global/qlibraryinfo.cpp global/qlibraryinfo.h global/qlibraryinfo_p.h
        global/qlogging.cpp global/qlogging.h global/qlogging_p.h
        global/qmalloc.cpp global/qmalloc.h
        global/qminmax.h
        global/qnamespace.h # this header is specified on purpose so AUTOMOC processes it
        global/qnativeinterface.h global/qnativeinterface_p.h
        global/qnumeric.cpp global/qnumeric.h global/qnumeric_p.h
        global/qoperatingsystemversion.cpp global/qoperatingsystemversion.h global/qoperatingsystemversion_p.h
        global/qoverload.h
        global/qprocessordetection.h
        global/qrandom.cpp global/qrandom.h global/qrandom_p.h
        global/qstdlibdetection.h
        global/qswap.h
        global/qsysinfo.cpp global/qsysinfo.h
        global/qsystemdetection.h
        global/qtclasshelpermacros.h
        global/qtconfiginclude.h
        global/qtconfigmacros.h
        global/qtcoreglobal.h global/qtcoreglobal_p.h
        global/qtdeprecationmarkers.h
        global/qtenvironmentvariables.cpp global/qtenvironmentvariables.h
        global/qtenvironmentvariables_p.h
        global/qtnoop.h
        global/qtpreprocessorsupport.h
        global/qtrace_p.h
        global/qtresource.h
        global/qtsymbolmacros.h
        global/qttranslation.h
        global/qttypetraits.h
        global/qtversionchecks.h
        global/qtversion.h
        global/qtypeinfo.h
        global/qtypes.cpp global/qtypes.h
        global/qvolatile_p.h
        global/q17memory.h
        global/q20algorithm.h
        global/q20chrono.h
        global/q20functional.h
        global/q20iterator.h
        global/q20map.h
        global/q20memory.h
        global/q20type_traits.h
        global/q20utility.h
        global/q20vector.h
        global/q23functional.h
        global/q23utility.cpp # remove once we have a user that tests this
        global/q23type_traits.h
        global/q23utility.h
        global/q26numeric.h
        global/qxpfunctional.h
        global/qxptype_traits.h
        global/qversiontagging.h
        ipc/qsharedmemory.cpp ipc/qsharedmemory.h ipc/qsharedmemory_p.h
        ipc/qsystemsemaphore.cpp ipc/qsystemsemaphore.h ipc/qsystemsemaphore_p.h
        ipc/qtipccommon.cpp ipc/qtipccommon.h ipc/qtipccommon_p.h
        io/qabstractfileengine.cpp io/qabstractfileengine_p.h
        io/qbuffer.cpp io/qbuffer.h
        io/qdataurl.cpp io/qdataurl_p.h
        io/qdebug.cpp io/qdebug.h io/qdebug_p.h
        io/qdir.cpp io/qdir.h io/qdir_p.h
        io/qdirlisting.cpp io/qdirlisting.h io/qdirentryinfo_p.h
        io/qdiriterator.cpp io/qdiriterator.h
        io/qfile.cpp io/qfile.h io/qfile_p.h
        io/qfiledevice.cpp io/qfiledevice.h io/qfiledevice_p.h
        io/qfileinfo.cpp io/qfileinfo.h io/qfileinfo_p.h
        io/qfileselector.cpp io/qfileselector.h io/qfileselector_p.h
        io/qfilesystemengine.cpp io/qfilesystemengine_p.h
        io/qfilesystementry.cpp io/qfilesystementry_p.h
        io/qfilesystemiterator_p.h
        io/qfilesystemmetadata_p.h
        io/qfsfileengine.cpp io/qfsfileengine_p.h
        io/qfsfileengine_iterator.cpp io/qfsfileengine_iterator_p.h
        io/qiodevice.cpp io/qiodevice.h io/qiodevice_p.h
        io/qiodevicebase.h
        io/qipaddress.cpp io/qipaddress_p.h
        io/qlockfile.cpp io/qlockfile.h io/qlockfile_p.h
        io/qloggingcategory.cpp io/qloggingcategory.h
        io/qloggingregistry.cpp io/qloggingregistry_p.h
        io/qnoncontiguousbytedevice.cpp io/qnoncontiguousbytedevice_p.h
        io/qresource.cpp io/qresource.h io/qresource_p.h
        io/qresource_iterator.cpp io/qresource_iterator_p.h
        io/qsavefile.cpp io/qsavefile.h io/qsavefile_p.h
        io/qstandardpaths.cpp io/qstandardpaths.h
        io/qstorageinfo.cpp io/qstorageinfo.h io/qstorageinfo_p.h
        io/qtemporarydir.cpp io/qtemporarydir.h
        io/qtemporaryfile.cpp io/qtemporaryfile.h io/qtemporaryfile_p.h
        io/qurl.cpp io/qurl.h io/qurl_p.h
        io/qurlidna.cpp
        io/qurlquery.cpp io/qurlquery.h
        io/qurlrecode.cpp
        io/qzipreader_p.h io/qzipwriter_p.h io/qzip.cpp
        io/wcharhelpers_win_p.h
        kernel/qabstracteventdispatcher.cpp kernel/qabstracteventdispatcher.h kernel/qabstracteventdispatcher_p.h
        kernel/qabstractnativeeventfilter.cpp kernel/qabstractnativeeventfilter.h
        kernel/qapplicationstatic.h
        kernel/qassociativeiterable.cpp kernel/qassociativeiterable.h
        kernel/qbasictimer.cpp kernel/qbasictimer.h
        kernel/qbindingstorage.h
        kernel/qchronotimer.cpp kernel/qchronotimer.h
        kernel/qcoreapplication.cpp kernel/qcoreapplication.h kernel/qcoreapplication_p.h
        kernel/qcoreapplication_platform.h
        kernel/qcoreevent.cpp kernel/qcoreevent.h kernel/qcoreevent_p.h
        kernel/qdeadlinetimer.cpp kernel/qdeadlinetimer.h
        kernel/qelapsedtimer.cpp kernel/qelapsedtimer.h
        kernel/qeventloop.cpp kernel/qeventloop.h kernel/qeventloop_p.h
        kernel/qfunctions_p.h
        kernel/qiterable.cpp kernel/qiterable.h kernel/qiterable_p.h
        kernel/qmath.cpp kernel/qmath.h
        kernel/qmetacontainer.cpp kernel/qmetacontainer.h
        kernel/qmetaobject.cpp kernel/qmetaobject.h kernel/qmetaobject_p.h
        kernel/qmetaobject_moc_p.h
        kernel/qmetaobjectbuilder.cpp kernel/qmetaobjectbuilder_p.h
        kernel/qmetatype.cpp kernel/qmetatype.h kernel/qmetatype_p.h
        kernel/qmimedata.cpp kernel/qmimedata.h
        kernel/qtmetamacros.h kernel/qtmocconstants.h kernel/qtmochelpers.h
        kernel/qobject.cpp kernel/qobject.h kernel/qobject_p.h kernel/qobject_p_p.h
        kernel/qobject_impl.h
        kernel/qobjectcleanuphandler.cpp kernel/qobjectcleanuphandler.h
        kernel/qobjectdefs.h
        kernel/qobjectdefs_impl.h
        kernel/qpointer.h
        kernel/qproperty.cpp kernel/qproperty.h kernel/qproperty_p.h
        kernel/qpropertyprivate.h
        kernel/qsequentialiterable.cpp kernel/qsequentialiterable.h
        kernel/qsignalmapper.cpp kernel/qsignalmapper.h
        kernel/qsingleshottimer.cpp kernel/qsingleshottimer_p.h
        kernel/qsocketnotifier.cpp kernel/qsocketnotifier.h
        kernel/qsystemerror.cpp kernel/qsystemerror_p.h
        kernel/qtestsupport_core.cpp kernel/qtestsupport_core.h
        kernel/qtimer.cpp kernel/qtimer.h kernel/qtimer_p.h
        kernel/qtranslator.cpp kernel/qtranslator.h kernel/qtranslator_p.h
        kernel/qvariant.cpp kernel/qvariant.h kernel/qvariant_p.h
        kernel/qvariantmap.h kernel/qvarianthash.h kernel/qvariantlist.h
        plugin/qfactoryinterface.cpp plugin/qfactoryinterface.h
        plugin/qfactoryloader.cpp plugin/qfactoryloader_p.h
        plugin/qplugin.h plugin/qplugin_p.h
        plugin/qpluginloader.cpp plugin/qpluginloader.h
        plugin/quuid.cpp plugin/quuid.h plugin/quuid_p.h
        serialization/qcborarray.h
        serialization/qcborcommon.cpp serialization/qcborcommon.h serialization/qcborcommon_p.h
        serialization/qcbordiagnostic.cpp
        serialization/qcbormap.h
        serialization/qcborstream.h
        serialization/qcborvalue.cpp serialization/qcborvalue.h serialization/qcborvalue_p.h
        serialization/qdatastream.cpp serialization/qdatastream.h
        serialization/qjson_p.h
        serialization/qjsonarray.cpp serialization/qjsonarray.h
        serialization/qjsoncbor.cpp
        serialization/qjsondocument.cpp serialization/qjsondocument.h
        serialization/qjsonobject.cpp serialization/qjsonobject.h
        serialization/qjsonparseerror.h
        serialization/qjsonparser.cpp serialization/qjsonparser_p.h
        serialization/qjsonvalue.cpp serialization/qjsonvalue.h
        serialization/qjsonwriter.cpp serialization/qjsonwriter_p.h
        serialization/qtextstream.cpp serialization/qtextstream.h serialization/qtextstream_p.h
        serialization/qxmlutils.cpp serialization/qxmlutils_p.h
        text/qanystringview.cpp text/qanystringview.h
        text/qbytearray.cpp text/qbytearray.h
        text/qbytearrayalgorithms.h
        text/qbytearraylist.cpp text/qbytearraylist.h
        text/qbytearraymatcher.cpp text/qbytearraymatcher.h
        text/qbytearrayview.h
        text/qbytedata_p.h
        text/qchar.h
        text/qcollator.cpp text/qcollator.h text/qcollator_p.h
        text/qdoublescanprint_p.h
        text/qlatin1stringmatcher.cpp text/qlatin1stringmatcher.h
        text/qlatin1stringview.h
        text/qlocale.cpp text/qlocale.h text/qlocale_p.h
        text/qlocale_tools.cpp text/qlocale_tools_p.h
        text/qstaticlatin1stringmatcher.h
        text/qstring.cpp text/qstring.h
        text/qstringalgorithms.h text/qstringalgorithms_p.h
        text/qstringbuilder.cpp text/qstringbuilder.h
        text/qstringconverter_base.h
        text/qstringconverter.cpp text/qstringconverter.h text/qstringconverter_p.h
        text/qstringfwd.h
        text/qstringiterator_p.h
        text/qstringlist.cpp text/qstringlist.h
        text/qstringliteral.h
        text/qstringmatcher.h
        text/qstringtokenizer.cpp text/qstringtokenizer.h
        text/qstringview.cpp text/qstringview.h
        text/qtextboundaryfinder.cpp text/qtextboundaryfinder.h
        text/qtformat_impl.h
        text/qunicodetables_p.h
        text/qunicodetools.cpp text/qunicodetools_p.h
        text/qutf8stringview.h
        text/qvsnprintf.cpp
        thread/qatomic.h
        thread/qatomic_cxx11.h
        thread/qbasicatomic.h
        thread/qgenericatomic.h
        thread/qlocking_p.h
        thread/qmutex.h
        thread/qorderedmutexlocker_p.h
        thread/qreadwritelock.h
        thread/qrunnable.cpp thread/qrunnable.h
        thread/qthread.cpp thread/qthread.h thread/qthread_p.h
        thread/qthreadstorage.h
        thread/qtsan_impl.h
        thread/qwaitcondition.h thread/qwaitcondition_p.h
        thread/qyieldcpu.h

=== src/3rdparty/harfbuzz-ng/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause
#####################################################################
## BundledHarfbuzz Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledHarfbuzz
    QMAKE_LIB_NAME harfbuzz
    STATIC
    SKIP_AUTOMOC
    SOURCES
        hb-dummy.cc
        src/hb.h
        src/hb-aat-layout.cc
        src/hb-aat-map.cc
        src/hb-algs.hh
        src/hb-atomic.hh
        src/hb-bit-vector.hh
        src/hb-blob.cc src/hb-blob.h
        src/hb-buffer.cc src/hb-buffer.h src/hb-buffer.hh
        src/hb-buffer-deserialize-json.hh
        src/hb-buffer-deserialize-text-glyphs.hh
        src/hb-buffer-deserialize-text-unicode.hh
        src/hb-buffer-serialize.cc
        src/hb-buffer-verify.cc
        src/hb-cache.hh
        src/hb-common.h
        src/hb-debug.hh
        src/hb-decycler.hh
        src/hb-deprecated.h
        src/hb-draw.cc src/hb-draw.h src/hb-draw.hh
        src/hb-face.cc src/hb-face.h src/hb-face.hh
        src/hb-face-builder.cc
        src/hb-fallback-shape.cc
        src/hb-font.cc src/hb-font.h src/hb-font.hh
        src/hb-ft-colr.hh
        src/hb-geometry.hh
        src/hb-limits.hh
        src/hb-map.cc
        src/hb-mutex.hh
        src/hb-number.cc
        src/hb-object.hh
        src/hb-open-file.hh
        src/hb-open-type.hh
        src/hb-outline.cc src/hb-outline.hh
        src/hb-paint.cc src/hb-paint.h src/hb-paint.hh
        src/hb-paint-bounded.cc src/hb-paint-bounded.hh
        src/hb-paint-extents.cc src/hb-paint-extents.hh
        src/hb-priority-queue.hh
        src/hb-repacker.hh
        src/hb-script-list.h
        src/hb-set.cc src/hb-set.h src/hb-set.hh
        src/hb-set-digest.hh
        src/hb-shape.cc src/hb-shape.h
        src/hb-shape-plan.cc src/hb-shape-plan.h src/hb-shape-plan.hh
        src/hb-shaper.cc src/hb-shaper.hh
        src/hb-shaper-impl.hh
        src/hb-shaper-list.hh
        src/hb-string-array.hh
        src/hb-style.cc src/hb-style.h
        src/hb-subset.cc
        src/hb-subset-cff-common.cc
        src/hb-subset-cff1.cc
        src/hb-subset-cff2.cc
        src/hb-subset-input.cc
        src/hb-subset-instancer-iup.cc src/hb-subset-instancer-iup.hh
        src/hb-subset-instancer-solver.cc
        src/hb-subset-plan.cc
        src/hb-subset-plan-layout.cc
        src/hb-subset-plan-member-list.hh
        src/hb-subset-serialize.cc src/hb-subset-serialize.h
        src/hb-subset-plan-var.cc
        src/hb-unicode.cc src/hb-unicode.h src/hb-unicode.hh
        src/hb-utf.hh
        src/hb-version.h
    DEFINES
        HAVE_ATEXIT
        HAVE_CONFIG_H
        HB_EXTERN=
        HB_NDEBUG
        HB_NO_UNICODE_FUNCS
        QT_NO_VERSION_TAGGING
    INCLUDE_DIRECTORIES
        "${CMAKE_CURRENT_SOURCE_DIR}"
        $<TARGET_PROPERTY:Core,INCLUDE_DIRECTORIES>
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/harfbuzz>
)

qt_internal_add_sync_header_dependencies(BundledHarfbuzz Core)

# GHS compiler doesn't support the __restrict keyword
if(INTEGRITY)
    target_compile_definitions(BundledHarfbuzz PRIVATE __restrict=)
endif()

qt_disable_warnings(BundledHarfbuzz)
qt_set_symbol_visibility_hidden(BundledHarfbuzz)

## Scopes:
#####################################################################

qt_internal_extend_target(BundledHarfbuzz CONDITION UNIX
    DEFINES
        HAVE_PTHREAD
        HAVE_SCHED_H
        HAVE_SCHED_YIELD
)

qt_internal_extend_target(BundledHarfbuzz CONDITION WIN32
    DEFINES
        HB_NO_WIN1256
)

qt_internal_extend_target(BundledHarfbuzz CONDITION TRUE
    SOURCES
        src/hb-ot.h
        src/hb-ot-cff1-std-str.hh
        src/hb-ot-cff1-table.cc
        src/hb-ot-cff2-table.cc
        src/hb-ot-cmap-table.hh
        src/hb-ot-color.cc
        src/hb-ot-face.cc
        src/hb-ot-font.cc src/hb-ot-font.h
        src/hb-ot-glyf-table.hh
        src/hb-ot-head-table.hh
        src/hb-ot-hhea-table.hh
        src/hb-ot-hmtx-table.hh
        src/hb-ot-kern-table.hh
        src/hb-ot-layout.cc src/hb-ot-layout.h src/hb-ot-layout.hh
        src/hb-ot-layout-gdef-table.hh
        src/hb-ot-layout-gpos-table.hh
        src/hb-ot-layout-gsub-table.hh
        src/hb-ot-layout-jstf-table.hh
        src/hb-ot-map.cc src/hb-ot-map.hh
        src/hb-ot-math.cc src/hb-ot-math.h
        src/hb-ot-math-table.hh
        src/hb-ot-maxp-table.hh
        src/hb-ot-meta.cc
        src/hb-ot-metrics.cc
        src/hb-ot-name.cc
        src/hb-ot-name-table.hh
        src/hb-ot-os2-table.hh
        src/hb-ot-post-macroman.hh
        src/hb-ot-post-table.hh
        src/hb-ot-post-table-v2subset.hh
        src/hb-ot-shape.cc src/hb-ot-shape.h src/hb-ot-shape.hh
        src/hb-ot-shape-fallback.cc src/hb-ot-shape-fallback.hh
        src/hb-ot-shape-normalize.cc src/hb-ot-shape-normalize.hh
        src/hb-ot-shaper-arabic-fallback.hh
        src/hb-ot-shaper-arabic-joining-list.hh
        src/hb-ot-shaper-arabic-pua.hh
        src/hb-ot-shaper-arabic-table.hh
        src/hb-ot-shaper-arabic.cc src/hb-ot-shaper-arabic.hh
        src/hb-ot-shaper-default.cc
        src/hb-ot-shaper-hangul.cc
        src/hb-ot-shaper-hebrew.cc
        src/hb-ot-shaper-indic-machine.hh
        src/hb-ot-shaper-indic-table.cc
        src/hb-ot-shaper-indic.cc src/hb-ot-shaper-indic.hh
        src/hb-ot-shaper-khmer-machine.hh
        src/hb-ot-shaper-khmer.cc
        src/hb-ot-shaper-myanmar-machine.hh
        src/hb-ot-shaper-myanmar.cc
        src/hb-ot-shaper-syllabic.cc src/hb-ot-shaper-syllabic.hh
        src/hb-ot-shaper-thai.cc
        src/hb-ot-shaper-use-machine.hh
        src/hb-ot-shaper-use-table.hh
        src/hb-ot-shaper-use.cc
        src/hb-ot-shaper-vowel-constraints.cc
        src/hb-ot-shaper-vowel-constraints.hh
        src/hb-ot-shaper.hh
        src/hb-subset-accelerator.hh
        src/hb-ot-tag.cc
        src/hb-ot-var.cc src/hb-ot-var.h
        src/hb-ot-var-common.hh
        src/hb-ot-var-avar-table.hh
        src/hb-ot-var-fvar-table.hh
        src/hb-ot-var-hvar-table.hh
        src/hb-ot-var-mvar-table.hh
        src/hb-ot-var-varc-table.hh
        src/OT/Color/CBDT/CBDT.hh
        src/OT/Color/COLR/COLR.hh
        src/OT/Color/COLR/colrv1-closure.hh
        src/OT/Color/CPAL/CPAL.hh
        src/OT/Color/sbix/sbix.hh
        src/OT/Color/svg/svg.hh
        src/OT/Layout/GDEF/GDEF.hh
        src/OT/name/name.hh
        src/OT/Var/VARC/coord-setter.hh
        src/OT/Var/VARC/VARC.cc src/OT/Var/VARC/VARC.hh
    DEFINES
        HAVE_OT
)

qt_internal_extend_target(BundledHarfbuzz CONDITION SHAPERS_ISEMPTY OR SHAPERS___contains___fallback
    SOURCES
        src/hb-fallback-shape.cc
    DEFINES
        HAVE_FALLBACK
)

qt_internal_add_3rdparty_header_module(HarfbuzzPrivate
    EXTERNAL_HEADERS_DIR include
)

=== src/plugins/generic/vxtouch/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QVxTouchScreenPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QVxTouchScreenPlugin
    OUTPUT_NAME qvxtouchplugin
    PLUGIN_TYPE generic
    DEFAULT_IF FALSE
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::InputSupportPrivate
)

=== tests/auto/corelib/text/qstringview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qstringview Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qstringview LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qstringview
    SOURCES
        tst_qstringview.cpp
        arrays_of_unknown_bounds.cpp arrays_of_unknown_bounds.h
    LIBRARIES
        Qt::CorePrivate
)

if(QT_FEATURE_sanitize_undefined)
    qt_internal_extend_target(tst_qstringview
        DEFINES
            QT_SANITIZE_UNDEFINED # GCC (in)famously doesn't provide a predefined macro for this
    )
endif()

## Scopes:
#####################################################################

=== tests/auto/corelib/thread/qfuture/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qfuture Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qfuture LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qfuture
    SOURCES
        tst_qfuture.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::TestPrivate
)

qt_internal_extend_target(tst_qfuture CONDITION MSVC
    COMPILE_OPTIONS
        /bigobj
)

qt_internal_undefine_global_definition(tst_qfuture QT_NO_JAVA_STYLE_ITERATORS)

=== tests/auto/network/access/qnetworkreply_local/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause
qt_internal_add_test(tst_qnetworkreply_local
    SOURCES
        minihttpserver.h
        tst_qnetworkreply_local.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    BUNDLE_ANDROID_OPENSSL_LIBS
)

=== tests/auto/sql/kernel/qsqldatabase/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qsqldatabase Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qsqldatabase LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qsqldatabase
    SOURCES
        tst_qsqldatabase.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Sql
        Qt::SqlPrivate
)

=== tests/auto/sql/models/qsqlrelationaldelegate/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qsqlrelationaldelegate Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qsqlrelationaldelegate LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qsqlrelationaldelegate
    SOURCES
        tst_qsqlrelationaldelegate.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Sql
        Qt::SqlPrivate
        Qt::Widgets
)

=== tests/auto/widgets/itemviews/qabstractitemview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qabstractitemview Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qabstractitemview LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qabstractitemview
    SOURCES
        tst_qabstractitemview.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::TestPrivate
        Qt::Widgets
        Qt::WidgetsPrivate
)

=== tests/auto/widgets/kernel/qshortcut/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qshortcut Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qshortcut LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qshortcut
    SOURCES
        tst_qshortcut.cpp
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Widgets
        Qt::WidgetsPrivate
)

qt_internal_add_test(tst_qguishortcut_with_qapplication
    SOURCES
        ../../../gui/kernel/qshortcut/tst_qshortcut.cpp
    DEFINES
        tst_QShortcut=tst_QGuiShortcutWithQApplication
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Widgets
        Qt::WidgetsPrivate
)

=== tests/auto/widgets/kernel/qwidgetsvariant/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qwidgetsvariant Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qwidgetsvariant LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qwidgetsvariant
    SOURCES
        tst_qwidgetsvariant.cpp
    INCLUDE_DIRECTORIES
        ../../../other/qvariant_common
    LIBRARIES
        Qt::Gui
        Qt::Widgets
)

=== debian/changelog ===
qt6-base (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add ccache to B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Jul 2025 21:19:42 +0200

qt6-base (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Refresh patches.
  * Bump B-Ds for the documentation to 6.9.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Jul 2025 17:43:21 +0200

=== debian/control ===
Source: qt6-base
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: ccache,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.22.5),
               firebird-dev [linux-any],
               libatspi2.0-dev,
               libb2-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               liblttng-ust-dev [linux-any],
               libmd4c-dev,
               libmd4c-html0-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libsctp-dev [linux-any],
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libts-dev,
               libudev-dev [linux-any],
               libvulkan-dev,
               libwayland-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-dri2-0-dev,
               libxcb-dri3-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-record0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxcb1-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               ninja-build,
               pkg-kde-tools (>= 0.15.17~),
               pkgconf,
               qt6-base-dev:native <cross>,
               unixodbc-dev,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Section: libs
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-base.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base

Package: libqt6core6t64
Provides: qt6-base-private-abi (= 6.9.1), ${t64:Provides},
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends},
Recommends: qt6-translations-l10n,
Breaks: libqt6core5compat6 (<< 6.6.0~), libqt6core6 (<< ${source:Version}),
Replaces: libqt6core6,
Description: Qt 6 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt6concurrent6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6concurrent6t64 (<< ${source:Version}),
Replaces: libqt6concurrent6t64,
Description: Qt 6 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt6dbus6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6dbus6t64 (<< ${source:Version}),
Replaces: libqt6dbus6t64,
Description: Qt 6 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt6gui6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6gui6t64 (<< ${source:Version}),
        qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Replaces: libqt6gui6t64, qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Recommends: qt6-gtk-platformtheme,
            qt6-qpa-plugins,
            qt6-svg-plugins,
            qt6-wayland [linux-any],
Description: Qt 6 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt6-qpa-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6gui6 (<< 6.3.1+dfsg-6~),
        libqt6network6 (<< 6.2.4+dfsg-5~),
        libqt6opengl6 (<< 6.3.1+dfsg-6~),
Description: Qt 6 QPA plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the following plugins:
   * uioTouch Plugin
   * VNC Plugin

Package: qt6-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: gnome-themes-extra-data, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt6-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt6opengl6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6opengl6t64 (<< ${source:Version}),
        qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Replaces: libqt6opengl6t64, qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Description: Qt 6 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt6openglwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6openglwidgets6t64 (<< ${source:Version}),
Replaces: libqt6openglwidgets6t64,
Description: Qt 6 OpenGL widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.
 .
 The OpenGL widgets module provides the widget for rendering OpenGL graphics.

Package: libqt6network6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6network6t64 (<< ${source:Version}),
        qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
Replaces: libqt6network6t64, qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
Description: Qt 6 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt6sql6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libqt6sql6-sqlite | libqt6sql6-mysql | libqt6sql6-odbc | libqt6sql6-psql | libqt6sql6-ibase,
Breaks: libqt6sql6t64 (<< ${source:Version}),
Replaces: libqt6sql6t64,
Description: Qt 6 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt6sql6-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 MySQL database driver
 This package contains the MySQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt6sql6-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 ODBC database driver
 This package contains the ODBC plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt6sql6-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt6sql6-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt6sql6-ibase
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Firebird database driver
 This package contains the Firebird plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt6test6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6test6t64 (<< ${source:Version}),
Replaces: libqt6test6t64,
Description: Qt 6 test module

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

ifneq (,$(filter libqt6sql6-ibase,$(shell dh_listpackages)))
        extra_cmake_args += -DFEATURE_sql_ibase=ON
else
        extra_cmake_args += -DFEATURE_sql_ibase=OFF
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
        extra_cmake_args += -DFEATURE_sctp=ON
else
        extra_cmake_args += -DFEATURE_sctp=OFF
endif

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_FORCE_BUILD_TOOLS=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja


override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DQT_USE_CCACHE=ON \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_BINDIR=lib/qt6/bin \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_LIBEXECDIR=lib/qt6/libexec \
		-DINSTALL_ARCHDATADIR=lib/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_EXAMPLESDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/examples \
		-DINSTALL_DATADIR=share/qt6 \
		-DINSTALL_DOCDIR=share/qt6/doc \
		-DINSTALL_SYSCONFDIR=/etc/xdg \
		-DINSTALL_INCLUDEDIR=include/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_TRANSLATIONSDIR=share/qt6/translations \
		-DINSTALL_MKSPECSDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs \
		-DINSTALL_PUBLICBINDIR=bin \
		-DQT_BUILD_EXAMPLES=ON \
		-DQT_INSTALL_EXAMPLES_SOURCES=ON \
		-DFEATURE_accessibility=ON \
		-DFEATURE_cups=ON \
		-DFEATURE_dbus_linked=ON \
		-DFEATURE_directfb=OFF \
		-DFEATURE_doubleconversion=ON \
		-DFEATURE_fontconfig=ON \
		-DFEATURE_freetype=ON \
		-DFEATURE_glib=ON \
		-DFEATURE_gtk3=ON \
		-DFEATURE_harfbuzz=ON \
		-DFEATURE_icu=ON \
		-DFEATURE_jpeg=ON \
		-DFEATURE_libproxy=ON \
		-DFEATURE_mimetype_database=OFF \
		-DFEATURE_pcre2=ON \
		-DFEATURE_png=ON \
		-DFEATURE_reduce_relocations=OFF \
		-DFEATURE_relocatable=OFF \
		-DFEATURE_rpath=OFF \
		-DFEATURE_sql_mysql=ON \
		-DFEATURE_sql_odbc=ON \
		-DFEATURE_sql_psql=ON \
		-DFEATURE_sql_sqlite=ON \
		-DFEATURE_ssl=ON \
		-DFEATURE_system_jpeg=ON \
		-DFEATURE_system_libb2=ON \
		-DFEATURE_system_pcre2=ON \
		-DFEATURE_system_png=ON \
		-DFEATURE_system_proxies=ON \
		-DFEATURE_system_sqlite=ON \
		-DFEATURE_system_xcb_xinput=ON \
		-DFEATURE_system_zlib=ON \
		$(extra_cmake_args)


execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

	# Specifies parameters to pass to the platform plugin.
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' debian/qt.conf.in \
		> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/qt6.conf

	# Inject cross-wrapper for qmake6 and qtpaths
	mkdir -p debian/tmp/usr/bin
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		-e 's/@DEB_HOST_GNU_TYPE@/$(DEB_HOST_GNU_TYPE)/g' \
		< debian/qmake-cross-wrapper.in > debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake6
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		< debian/qtpaths-cross-wrapper.in > debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qtpaths6
	chmod +x debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake6 debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qtpaths6

	# Fix Qt6::qmake IMPORTED_LOCATION, see https://bugs.debian.org/1030980
	sed -i 's,lib/qt6/bin/qmake,bin/$(DEB_HOST_GNU_TYPE)-qmake6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets-none.cmake

	# Fix Qt6::qtpaths IMPORTED_LOCATION
	sed -i 's,lib/qt6/bin/qtpaths,bin/$(DEB_HOST_GNU_TYPE)-qtpaths6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets-none.cmake

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_makeshlibs:
	dh_makeshlibs -XlibQt6EglFSDeviceIntegration -XlibQt6EglFsKmsGbmSupport -XlibQt6EglFsKmsSupport -XlibQt6XcbQpa

execute_after_dh_shlibdeps-arch:
	echo libssl:Depends=$(sslpkgname) >> debian/libqt6network6.substvars

# Do not run tests when building the documentation
override_dh_auto_test-indep:
